Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class ServletPropertiesReader

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.ServletPropertiesReader

All Implemented Interfaces:
  httpdPreloadInterface

public class ServletPropertiesReader
extends java.lang.Object
implements httpdPreloadInterface

Field Summary
`static java.lang.String` | `ALLOW_DELETE_P`
`static java.lang.String` | `ARGS_SEPARATOR`
`static java.lang.String` | `CODE_P`
`static java.lang.String` | `CODEBASE_P`
`static java.lang.String` | `DESCRIPTION_P`
`protected static java.lang.Class` | `frameclass`
`protected LookupTable` | `general`
`static java.lang.String` | `ICON_P`
`static java.lang.String` | `INIT_ARGS_P`
`static java.lang.String` | `SERVLET_BASE_P`
`static java.lang.String` | `SERVLET_PROPS_FILE`
`protected LookupTable` | `servlets`
`static java.lang.String` | `STARTUP_P`

Constructor Summary
`ServletPropertiesReader()`

Method Summary
`protected ResourceReference` | `getServletDirectoryReference(httpd server)` Get the servlet directory reference.
`protected void` | `initialize(java.lang.String name, ServletWrapper wrapper, DirectoryResource parent)` Initialize a ServletWrapper.
`protected void` | `initializeServlet(java.lang.String name, httpd server, ResourceReference sdir)` Initialize a servlet or create it if not found
`void` | `preload(httpd server)` Load the servlets configuration from servlets.properties.
`protected void` | `readProperties(java.io.File file)` Read the servlets.properties file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVLET_PROPS_FILE

    public static final java.lang.String SERVLET_PROPS_FILE

See Also:
  Constant Field Values

### SERVLET_BASE_P

    public static final java.lang.String SERVLET_BASE_P

See Also:
  Constant Field Values

### ALLOW_DELETE_P

    public static final java.lang.String ALLOW_DELETE_P

See Also:
  Constant Field Values

### CODE_P

    public static final java.lang.String CODE_P

See Also:
  Constant Field Values

### INIT_ARGS_P

    public static final java.lang.String INIT_ARGS_P

See Also:
  Constant Field Values

### DESCRIPTION_P

    public static final java.lang.String DESCRIPTION_P

See Also:
  Constant Field Values

### CODEBASE_P

    public static final java.lang.String CODEBASE_P

See Also:
  Constant Field Values

### ICON_P

    public static final java.lang.String ICON_P

See Also:
  Constant Field Values

### ARGS_SEPARATOR

    public static final java.lang.String ARGS_SEPARATOR

See Also:
  Constant Field Values

### STARTUP_P

    public static final java.lang.String STARTUP_P

See Also:
  Constant Field Values

### general

    protected LookupTable general

### servlets

    protected LookupTable servlets

### frameclass

    protected static java.lang.Class frameclass

Constructor Detail

### ServletPropertiesReader

    public ServletPropertiesReader()

Method Detail

### preload

    public void preload(httpd server)

  Load the servlets configuration from servlets.properties.

  Specified by:
    `preload` in interface `httpdPreloadInterface`
  Parameters:
    `server` - the http server to configure

### getServletDirectoryReference

    protected ResourceReference getServletDirectoryReference(httpd server)

  Get the servlet directory reference.

  Returns:
    a ResourceReference

### initializeServlet

    protected void initializeServlet(java.lang.String name,
                                     httpd server,
                                     ResourceReference sdir)

  Initialize a servlet or create it if not found

  Parameters:
    `name` - the servlet's name
    `server` - the http server

### initialize

    protected void initialize(java.lang.String name,
                              ServletWrapper wrapper,
                              DirectoryResource parent)
                       throws InvalidResourceException,
                              MultipleLockException

  Initialize a ServletWrapper.

  Parameters:
    `name` - the servlet's name
    `wrapper` - the ServletWrapper (or null)
    `InvalidResourceException`
    `MultipleLockException`

### readProperties

    protected void readProperties(java.io.File file)

  Read the servlets.properties file

  Parameters:
    `file` - the servlets.properties file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD